module.exports = {
    "lookup-multiple.css": {
        "name": "lookup-multiple.css",
        "body": "*, *::before, *::after {\r\n  box-sizing: border-box; }\r\n\r\n:host {\r\n  /*z-index: 10;*/\r\n  border: none;\r\n  outline: none;\r\n  position: relative;\r\n  display: inline-block;\r\n  width: 200px; \r\n  font-size: 1em; \r\n  line-height: 1em;\r\n  font-family: inherit; }\r\n\r\n:host(.is-optional)::after {\r\n  position: absolute;\r\n  right: 1.3em;\r\n  top: 6px;\r\n  font-size: 0.7em;\r\n  color: #ccc;\r\n  content: 'optional'; }\r\n  \r\n  :host > label {\r\n    position: absolute;\r\n    top: 6px;\r\n    padding: 0;\r\n    left: 1.3em;\r\n    font-size: 0.7em;\r\n    font-weight: 500;\r\n    color: #bbbbbb;\r\n    display: block;\r\n    /*z-index: 10;*/\r\n    cursor: inherit;\r\n    transition: all 0.2s ease-in-out; }\r\n  \r\n  :host(.is-empty) label {\r\n    opacity: 0; }\r\n\r\n  :host(.is-focused) label {\r\n    color: #298eea; }\r\n\r\n  :host > .textfield {\r\n    position: relative;\r\n    background: white;\r\n    min-height: 3em;\r\n    border-radius: 0.15em;\r\n    border: 1px solid #dfdfdf;\r\n    padding: 1.3em 0.85em 0.45em 0.85em;\r\n    width: 100%;\r\n    cursor: text;\r\n    text-align: left;\r\n    transition: all 0.2s ease-in-out;\r\n    display: block; }\r\n\r\n  :host(.is-focused) > .textfield {\r\n    border-color: #298eea;\r\n    border-color: var(--lookup-multiple-primary, #298eea);\r\n    border-bottom: none;\r\n    border-radius: 0.15em 0.15em 0 0; }\r\n\r\n  :host(.is-empty) > .textfield {\r\n    padding: 0.875em .85em; }\r\n\r\n  :host(.is-empty) > .textfield::before {\r\n    position: absolute;\r\n    display: inline-block;\r\n    content: attr(placeholder);  \r\n    opacity: 0.6; }\r\n\r\n    :host > .textfield > .textinput {\r\n      height: 0.8em;\r\n      vertical-align: top;\r\n      max-width: 100%;\r\n      line-height: 0.8em;\r\n      padding: 0.1em;\r\n      margin-bottom: 0.15em;\r\n      display: inline-block;\r\n      color: black;\r\n      outline: none; }\r\n\r\n    :host > .textfield > .selected-tag {\r\n      background-color: #e4eef7;\r\n      color: #4183c4;\r\n      display: inline-block;\r\n      border-radius: 0.15em;\r\n      margin-right: 0.1em;\r\n      margin-bottom: 0.1em;\r\n      font-size: 0.75em;\r\n      line-height: 1.4em;\r\n      /*padding: 0.1em;*/\r\n      position: relative;\r\n      padding-left: 0.3em;\r\n      padding-right: 1.2em; }\r\n\r\n      :host > .textfield > .selected-tag > .remove-tag {\r\n        position: absolute;\r\n        opacity: 0.5;\r\n        font-size: 1em;\r\n        right: 0.25em;\r\n        top: calc(50% - 0.5em);\r\n        text-align: center;\r\n        line-height: 1em;\r\n        cursor: pointer; }\r\n\r\n      :host > .textfield > .selected-tag > .remove-tag:hover {\r\n        opacity: 1; }\r\n\r\n      :host > .textfield > .selected-tag > .remove-tag::after {\r\n        content: '×'; }\r\n\r\n  :host > .dropdown {\r\n    border-radius: 0 0 0.15em 0.15em;\r\n    position: absolute;\r\n    display: none;\r\n    transition: opacity 100ms;\r\n    width: 100%;\r\n    background: #fff;\r\n    border: 1px solid #298eea;\r\n    border-color: var(--lookup-multiple-primary, #298eea);\r\n    overflow: auto;\r\n    list-style: none; \r\n    max-height: 200px;\r\n    overflow: auto; \r\n    left: 0;\r\n    z-index: 10;}\r\n\r\n  :host(.is-focused) > .dropdown {\r\n    display: block; }\r\n\r\n    :host > .dropdown:empty::after {\r\n      line-height: 2em;\r\n      opacity: 0.5;\r\n      font-style: italic;\r\n      content: 'No matching options' }\r\n\r\n    :host > .dropdown > li {\r\n      line-height: 2em;\r\n      text-align: left;\r\n      color: black;\r\n      cursor: pointer;\r\n      padding: 0 0.4em; \r\n      transition: 100ms; }\r\n\r\n    :host > .dropdown > li:not(:last-child) {\r\n      border-bottom: 1px solid #dfdfdf; }\r\n\r\n    :host > .dropdown > .is-selected {\r\n      background-color: #e4eef7;\r\n      color: #4183c4; }\r\n\r\n    :host > .dropdown > .is-suggestion {\r\n      color: #fff;\r\n      background-color: #4183c4; }\r\n\r\n      :host > .dropdown > li > span {\r\n        text-decoration: underline; }"
    },
    "lookup-multiple": {
        "name": "lookup-multiple",
        "body": require('./lookup-multiple/lookup-multiple.js').default || require('./lookup-multiple/lookup-multiple.js'),
        "headers": {
            "needs": "[css]"
        }
    },
    "lookup-single.css": {
        "name": "lookup-single.css",
        "body": "*, *::before, *::after {\r\n  box-sizing: border-box; }\r\n\r\n:host {\r\n  vertical-align: top;\r\n  border: none;\r\n  color: black;\r\n  outline: none;\r\n  position: relative;\r\n  display: inline-block;\r\n  width: 200px; \r\n  font-size: 1em; \r\n  line-height: 1em;\r\n  font-family: inherit; }\r\n\r\n:host(.is-optional)::after {\r\n  position: absolute;\r\n  right: 1.3em;\r\n  top: 6px;\r\n  font-size: 0.7em;\r\n  color: #ccc;\r\n  content: 'optional'; }\r\n\r\n  :host > label {\r\n    position: absolute;\r\n    top: 6px;\r\n    padding: 0;\r\n    left: 1.3em;\r\n    font-size: 0.7em;\r\n    font-weight: 500;\r\n    color: #bbbbbb;\r\n    display: block;\r\n    /*z-index: 10;*/\r\n    cursor: inherit;\r\n    transition: all 0.2s ease-in-out; }\r\n  \r\n  :host(.is-empty) label {\r\n    opacity: 0; }\r\n\r\n  :host(.is-focused) label {\r\n    color: #298eea; }\r\n\r\n  :host > .textfield {\r\n    position: relative;\r\n    background: white;\r\n    min-height: 3em;\r\n    border-radius: 0.15em;\r\n    border: 1px solid #dfdfdf;\r\n    padding: 1.3em 0.85em 0.45em 0.85em;\r\n    width: 100%;\r\n    cursor: text;\r\n    text-align: left;\r\n    transition: all 0.2s ease-in-out;\r\n    display: block; }\r\n\r\n  :host(.is-focused) > .textfield {\r\n    border-color: #298eea;\r\n    border-color: var(--lookup-single-primary, #298eea);\r\n    border-radius: 0.15em 0.15em 0 0;\r\n    /*box-shadow: inset 0 1px 2px rgba(0,0,0,0.075),0 0 5px rgba(81,167,232,0.5)*/}\r\n  \r\n  :host(.is-empty) > .textfield {\r\n    padding: 0.875em .85em; }\r\n\r\n  :host(.is-empty) > .textfield::before {\r\n    position: absolute;\r\n    display: inline-block;\r\n    content: attr(placeholder);  \r\n    opacity: 0.6; }\r\n\r\n    :host > .textfield > .clear {\r\n      position: absolute;\r\n      opacity: 0.5;\r\n      font-size: 1em;\r\n      right: 0.5em;\r\n      top: calc(50% - 0.5em);\r\n      text-align: center;\r\n      line-height: 1em;\r\n      cursor: pointer; }\r\n\r\n    :host > .textfield > .clear:hover {\r\n      opacity: 1 }\r\n\r\n    :host > .textfield > .clear::after {\r\n      content: '×'; }\r\n\r\n  :host > .textinput {\r\n    position: absolute;\r\n    z-index: 10;\r\n    line-height: 2em;\r\n    width: 100%;\r\n    background: white;\r\n    cursor: text;\r\n    border: 1px solid;\r\n    border-top: none;\r\n    border-bottom: none;\r\n    border-color: #298eea;\r\n    border-color: var(--lookup-single-primary, #298eea);\r\n    padding: 0 0.4em;\r\n    height: 2em;\r\n    text-align: left;\r\n    left: -9999px;\r\n    /*display: none;*/\r\n    outline: none; }\r\n\r\n  :host(.is-focused) > .textinput {\r\n    left: initial;\r\n    display: block; }\r\n\r\n  :host > .dropdown {\r\n    border-radius: 0 0 0.15em 0.15em;\r\n    position: absolute;\r\n    /*opacity: 0;*/\r\n    /*pointer-events: none;*/\r\n    display: none;\r\n    transition: opacity 100ms;\r\n    width: 100%;\r\n    background: #fff;\r\n    border: 1px solid #298eea;\r\n    border-color: var(--lookup-single-primary, #298eea);\r\n    overflow: auto;\r\n    margin-top: 2em;\r\n    list-style: none; \r\n    max-height: 200px;\r\n    overflow: auto; \r\n    left: 0;\r\n    z-index: 10;}\r\n\r\n  :host(.is-focused) > .dropdown {\r\n    display: block; }\r\n\r\n    :host > .dropdown:empty::after {\r\n      line-height: 2em;\r\n      opacity: 0.5;\r\n      font-style: italic;\r\n      content: 'No matching options' }\r\n\r\n    :host > .dropdown > li {\r\n      line-height: 2em;\r\n      text-align: left;\r\n      color: black;\r\n      cursor: pointer;\r\n      padding: 0 0.4em; \r\n      transition: 100ms; }\r\n\r\n    :host > .dropdown > li:not(:last-child) {\r\n      border-bottom: 1px solid #dfdfdf; }\r\n\r\n    :host > .dropdown > li.is-selected {\r\n      background-color: #e4eef7;\r\n      color: #4183c4; }\r\n\r\n    :host > .dropdown > li.is-suggestion {\r\n      color: #fff;\r\n      background-color: #4183c4; }\r\n\r\n      :host > .dropdown > li > span {\r\n        text-decoration: underline; }"
    },
    "lookup-single": {
        "name": "lookup-single",
        "body": require('./lookup-single/lookup-single.js').default || require('./lookup-single/lookup-single.js'),
        "headers": {
            "needs": "[css]"
        }
    }
}